Skip to main content
GET
/
api
/
distribution
/
partner
/
me
curl -X GET https://oro-tradebook-devnet.up.railway.app/api/distribution/partner/me \
  -H "x-api-key: your-api-key"
{
  "success": true,
  "data": {
    "partnerId": "1",
    "name": "Acme Gold Trading",
    "description": "Acme Gold Trading Partner",
    "contactEmail": "admin@acme.com",
    "kind": "SelfCustody",
    "adminWalletAddress": "UpdateAuthorityAddress",
    "executiveAuthorityAddresses": ["WalletAddress1"],
    "withdrawalAuthorityAddress": "WalletAddress3",
    "centralVaultAddress": "PDAAddress123",
    "createdAt": "2024-01-15T10:30:00.000Z"
  }
}

Overview

Returns the details of the partner associated with the authenticated API key. Authorization Required: Any partner scope (PARTNER_EXECUTIVE_AUTHORITY, PARTNER_UPDATE_AUTHORITY, or PARTNER_WITHDRAWAL_AUTHORITY)

Headers

x-api-key
string
required
Your API key for authentication

Response

success
boolean
Whether the request was successful
data
object
curl -X GET https://oro-tradebook-devnet.up.railway.app/api/distribution/partner/me \
  -H "x-api-key: your-api-key"
{
  "success": true,
  "data": {
    "partnerId": "1",
    "name": "Acme Gold Trading",
    "description": "Acme Gold Trading Partner",
    "contactEmail": "admin@acme.com",
    "kind": "SelfCustody",
    "adminWalletAddress": "UpdateAuthorityAddress",
    "executiveAuthorityAddresses": ["WalletAddress1"],
    "withdrawalAuthorityAddress": "WalletAddress3",
    "centralVaultAddress": "PDAAddress123",
    "createdAt": "2024-01-15T10:30:00.000Z"
  }
}